EvIdle
EvIdle::createStopped
EvIdle
PHP Manual

# EvIdle::__construct

(PECL ev >= 0.2.0)

EvIdle::__construct — Constructs the EvIdle watcher object

### Description

public EvIdle::__construct ( callable `$callback` [, mixed `$data` [, int `$priority` ]] )

Constructs the EvIdle watcher object and starts the watcher automatically.

### Parameters

`callback`

  See Watcher callbacks .

`data`

  Custom data associated with the watcher.

`priority`

  Watcher priority

### Return Values

Returns EvIdle object on success.

### See Also

- EvIdle::createStopped() - Creates instance of a stopped EvIdle watcher object
- EvLoop::idle() - Creates EvIdle watcher object associated with the current event loop instance

EvIdle
EvIdle::createStopped
EvIdle
PHP Manual